{
  buildNpmPackage,
  vscode-utils,
  pkgs,
  ...
}: let
  version = "0.0.1";
  pname = "ai-code";
  publisher = "jan-leila";
  vsix = buildNpmPackage {
    inherit version pname;

    src = builtins.fetchGit {
      url = "ssh://git@git.jan-leila.com/jan-leila/ai-code.git";
      rev = "480b51830602b28009e6b5c5014e7e2970a0a3b3";
    };

    npmDepsHash = "sha256-WxLb+e0itOCIRXpVOjcbPm6QNWbdSKZOPeXLyOa4ROQ=";

    nativeBuildInputs = with pkgs; [
      vsce
    ];

    buildPhase = ''
      ${pkgs.vsce}/bin/vsce package -o ${pname}.zip
    '';

    installPhase = ''
      mkdir -p $out
      mv ${pname}.zip $out/${pname}.zip
    '';
  };
in
  vscode-utils.buildVscodeExtension {
    inherit pname version;

    src = "${vsix}/${pname}.zip";

    vscodeExtUniqueId = "${publisher}.${pname}";
    vscodeExtPublisher = publisher;
    vscodeExtName = pname;
  }
